:root {
    --pc-margin-inline: 240px;
}
body.search-openned {
    overflow-y: hidden;
}

.bac-main-container {
    --border-color: #BDBDBD;
    --margin-inline: 5px;
    --padding-block: 10px;
}

.search-zone {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 0 var(--margin-inline);
    padding: var(--padding-block) 0;
    border-bottom: 1px solid var(--border-color);
}

.filter-btn {
    border-radius: 5px;
    display: flex;
    justify-content: space-between;
    padding: 5px;
    width: 150px;
    color: #1a2745;
    align-items: center;
    border: 1px solid #1A2745;
    cursor: pointer;
}

.filter-icon {
    width: 18px;
    height: 14px;
}

.search-modal {
    --radio-size: 15px;
    --checkbox-size: 15px;
}

.search-reset {
    position: absolute;
    right: 10px;
    top: 0;
    bottom: 0;
}

.sorting-group {
    padding-block: 10px;
    padding-inline: 5px;
    border-bottom: 1px solid #e5e7eb;
}

.search-modal .radio-disp,.search-modal .checkbox-disp{
    border: 1px solid black;
    display: inline-block;
    position: relative;
    cursor: pointer;
}

.search-modal .radio-disp {
    border-radius: 50%;
    width: var(--radio-size);
    height: var(--radio-size);
}

.search-modal .checkbox-disp{
    width: var(--checkbox-size);
    height: var(--checkbox-size);
}

.search-modal input[type="radio"],
.search-modal input[type="checkbox"] {
    display: none;
}

.search-modal input[type="radio"]:checked + label .radio-disp::after {
    content: '';
    display: block;
    position: absolute;
    top: 2px;
    left: 2px;
    bottom: 2px;
    right: 2px;
    border-radius: 50%;
    background-color: #000;
}

.search-modal input[type="checkbox"]:checked + label .checkbox-disp {
    background-color: #000;
}

.search-modal input[type="checkbox"]:checked + label .checkbox-disp:after {
    content: '';
    display: block;
    position: absolute;
    top: calc(50% - 1.5px);
    left: 50%;
    width: 10px;
    height: 5px;
    border: 2px solid #fff;
    border-top: none;
    border-right: none;
    transform: translate(-50%, -50%) rotate(-45deg);
}

.search-modal .close-btn {
    position: absolute;
    top: 33px;
    right: 10px;
    cursor: pointer;
}

.sorting-group {
    font-size: 18px;
}

.sorting-title {
    font-size: 1.5em;
    font-weight: 400;
}

.sorting-item label {
    display: flex;
    align-items: center;
    gap: 10px;
    font-weight: 300;
}

.search-modal .button-group {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    margin-top: 10px;
    --color: #1a2745;
}

.search-modal .button-group button{
    border-radius: 5px;
    width: calc(50% - 50px);
    font-size: 20px;
    padding: 10px;
    font-weight: 500;
}

.search-modal .button-group button:first-child {
    background-color: var(--color);
    color: #fff;
}

.search-modal .button-group button:last-child {
    border: 1px solid var(--color);
    color: var(--color);
}

.search-modal .search-input {
    width: 100%;
    padding: 10px;
    border: 1px solid #ececec;
    border-radius: 10px;
}

.product-list {
    display: flex;
    flex-wrap: wrap;
    padding-top: 5px;
}

.product-card-wrapper {
    width: 50%;
    padding: 5px;
}

.product-name {
    font-size: 14px;
}

.silver-chart-outer {
    width: 100%;
    overflow-x: auto;
}

.border-price {
    margin-top: 10px;
}

.pc-filter-zone {
    display: none;
}

.product-title-zone {
    margin-top: 15px;
    font-size: 18px;
    font-weight: 600;
    text-transform: uppercase;
    padding-inline: 5px;
}

@media (min-width: 768px) {
    .product-list {
        gap: 10px;
    }
    .product-card-wrapper {
        width: calc(50% - 5px);
    }

    .product-title-zone {
        font-weight: normal;
    }
}

@media (min-width: 1280px) {
    .product-card-wrapper {
        width: calc(25% - 8px);
    }

    .bac-subbaner,
    .bac-main-container,
    .product-list,
    .border-price {
        margin-inline: var(--pc-margin-inline);
    }

    .product-name {
        font-size: 20px;
    }

    .border-price {
        width: calc(100% - 480px);
    }

    .search-zone {
        display: none;
    }

    .pc-filter-zone {
        display: flex;
        padding-block: 10px;
        gap: 15px;
    }

    .product-title-zone {
        font-size: 32px;
        font-weight: 400;
        margin-inline: var(--pc-margin-inline);
    }
    .hotline {
        display: none;
    }
}
